Memberships
Add or update a members inside an environment.
Path Parameters
organisationSlug*string
Match
^[a-z0-9-_]+$environmentSlug*string
Match
^[a-z0-9-_]+$memberIdentity*string
The organisation member identity of the user.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.avisi.cloud/api/v1/orgs/string/environments/string/members/string" \ -H "Content-Type: application/json" \ -d '{ "kubernetesRole": "cluster-admin" }'[
{
"memberIdentity": "c096b660-64e1-4a6d-94c8-298e866b3d9a",
"email": "string",
"kubernetesRole": "cluster-admin",
"createdAt": "2019-08-24T14:15:22Z"
}
]{
"message": "string",
"details": [
"string"
]
}{
"message": "string",
"details": [
"string"
]
}{
"message": "string",
"details": [
"string"
]
}{
"message": "string",
"details": [
"string"
]
}